commit 4457549eba093983d80f1cfdcfa44e35310c2ce0
Author: freddy77 <freddy77>
Date:   Thu Jan 10 21:19:47 2008 +0000

    memory fixes

diff --git a/ChangeLog b/ChangeLog
index 30115b3..1fa8966 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Thu Jan 10 22:19:26 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/cancel.c src/odbc/unittests/hidden.c:
+	- memory fixes
+
 Thu Jan 10 17:04:15 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/.cvsignore src/odbc/unittests/Makefile.am:
 	* src/odbc/unittests/cancel.c(added):
@@ -25,4 +29,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2461 2008/01/10 16:05:59 freddy77 Exp $
+$Id: ChangeLog,v 1.2462 2008/01/10 21:19:47 freddy77 Exp $
diff --git a/src/odbc/unittests/cancel.c b/src/odbc/unittests/cancel.c
index b01630f..6aa5e3f 100644
--- a/src/odbc/unittests/cancel.c
+++ b/src/odbc/unittests/cancel.c
@@ -25,6 +25,7 @@ getErrorInfo(SQLSMALLINT sqlhdltype, SQLHANDLE sqlhandle)
 	SQLCHAR msgtext[SQL_MAX_MESSAGE_LENGTH + 1];
 	SQLSMALLINT msgtextl = 0;
 
+	msgtext[0] = 0;
 	rcode = SQLGetDiagRec((SQLSMALLINT) sqlhdltype,
 			      (SQLHANDLE) sqlhandle,
 			      (SQLSMALLINT) 1,
@@ -76,6 +77,7 @@ main(int argc, char **argv)
 	getErrorInfo(SQL_HANDLE_STMT, Statement);
 	if (strcmp(sqlstate, "HY008") != 0) {
 		fprintf(stderr, "Unexpected sql state returned\n");
+		Disconnect();
 		return 1;
 	}
 	printf(">> ...  done rcode = %d\n", rcode);
diff --git a/src/odbc/unittests/hidden.c b/src/odbc/unittests/hidden.c
index d9b6b25..71124a6 100755
--- a/src/odbc/unittests/hidden.c
+++ b/src/odbc/unittests/hidden.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: hidden.c,v 1.2 2008/01/10 08:54:46 freddy77 Exp $";
+static char software_version[] = "$Id: hidden.c,v 1.3 2008/01/10 21:19:47 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -70,6 +70,7 @@ main(int argc, char **argv)
 
 	/* test hidden column with cursors*/
 	CheckCursor();
+	m_hstmt1 = Statement;
 
 	rcode = SQLSetStmtAttr(m_hstmt1, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER);
 	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLSetStmtAttr SQL_ATTR_CURSOR_SCROLLABLE");

